///	CloseButton.h - Button to quit the program.
///	--------------------------------------------------------------------------
///	This file is part of 'Niall's Pedal Board', a simple ASIO VST host.
///	Copyright (C) 2005  Niall Moody
///	
///	This program is free software; you can redistribute it and/or modify
///	it under the terms of the GNU General Public License as published by
///	the Free Software Foundation; either version 2 of the License, or
///	(at your option) any later version.
///	
///	This program is distributed in the hope that it will be useful,
///	but WITHOUT ANY WARRANTY; without even the implied warranty of
///	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
///	GNU General Public License for more details.
///	
///	You should have received a copy of the GNU General Public License
///	along with this program; if not, write to the Free Software
///	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
///	
///	--------------------------------------------------------------------------
///	
///	You can e-mail me at niallmoody@yahoo.co.uk if you want.
///	
///	--------------------------------------------------------------------------

#ifndef CLOSEBUTTON_H_
#define CLOSEBUTTON_H_

#include "../FactoryObject.h"

///	FactoryObject for the close button on the main window.
class CloseButton : public FactoryObject
{
  public:
	CloseButton(ComponentFactory *factory, Component **windowComponent);
	~CloseButton() {};

	void create();

	static void setNormalImage(String image);
	static void setOverImage(String image);
	static void setDownImage(String image);
	static void setResize(bool val);
  private:
	static String normalImage;
	static String overImage;
	static String downImage;
	static bool resize;
};

#endif
